import DashboardConditionalLogicUI from './dashboardConditionalLogicUI.js';

const WPSConditional = new DashboardConditionalLogicUI();
( function ($) {
	const $groupWrapper = $( '.wps-logic-groups__wrapper' );

	$( '.wpdesk-wps__add-logic-group' ).click(
		function () {
			WPSConditional.rednerNewGroup();
			return false;
		}
	);

	WPSConditional.initSelect2Fields();

	$groupWrapper.on(
		'click',
		'button',
		function () {
			return false;
		}
	);

	$groupWrapper.on(
		'click',
		'.wpdesk-wps__add-logic__or',
		function () {
			WPSConditional.renderNewCluster( this );
		}
	);
	$groupWrapper.on(
		'click',
		'.wpdesk-wps__add-logic__and',
		function () {
			WPSConditional.renderNewCondition( this );
		}
	);
	$groupWrapper.on(
		'change',
		'.wps-logic-condition__base',
		function () {
			WPSConditional.renderConditionFields( this );
		}
	);

	$groupWrapper.on(
		'click',
		'.wpdesk-wps__delete-logic',
		function () {
			WPSConditional.removeCondition( this );
		}
	);
	$groupWrapper.on(
		'click',
		'.wpdesk-wps__delete-group',
		function () {
			WPSConditional.removeGroup( this );
		}
	);

	$groupWrapper.on(
		'click',
		'.wps-logic-group__header-title, .wpdesk-wps-logic__accordeon-arrow',
		function () {
			$( this ).closest( '.wps-logic-group' ).find( '.wps-logic-group__body' ).toggleClass( 'wps-hidden' );
			$( this ).closest( '.wps-logic-group' ).find('.wpdesk-wps-logic__accordeon-arrow').toggleClass( 'wps-logic-group__accordeon-arrow--rotated' );
		}
	);
	$groupWrapper.on(
		'click',
		'.wpdesk-wps-logic__position-arrow-down',
		function () {
			const $group = $( this ).closest( '.wps-logic-group' );
			$group.insertAfter( $group.next() );
		}
	);
	$groupWrapper.on(
		'click',
		'.wpdesk-wps-logic__position-arrow-up',
		function () {
			const $group = $( this ).closest( '.wps-logic-group' );
			$group.insertBefore( $group.prev() );
		}
	);

	const $generalOptionSelect = $('.wps-logic-when-to-switch');
	$generalOptionSelect.on('change', function(){
		const value = $generalOptionSelect.val();

		if( value === "conditional" ){
			$('.wps-logic-conditional-wrapper').removeClass('hidden');
		}else {
			$('.wps-logic-conditional-wrapper').addClass('hidden');
		}
	});

} )( jQuery )
