<?php
/**
 * Plugin Name: WooCommerce Automatic Payment Status
 * Plugin URI: https://www.wpdesk.net/products/automatic-payment-status-woocommerce/
 * Description: Automatically complete WooCommerce orders after successful payment.
 * Version: 2.0.8
 * Author: WP Desk
 * Author URI: https://www.wpdesk.net/
 * Text Domain: wpdesk-wps
 * Domain Path: /lang/
 * Requires at least: 6.4
 * Tested up to: 6.7
 * WC requires at least: 9.4
 * WC tested up to: 9.8
 * Requires PHP: 7.4
 * Copyright 2019 WP Desk Ltd.
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @package WPDeskPaymentStatus
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

add_action(
	'before_woocommerce_init',
	function () {
		if ( class_exists( '\Automattic\WooCommerce\Utilities\FeaturesUtil' ) ) {
			\Automattic\WooCommerce\Utilities\FeaturesUtil::declare_compatibility( 'custom_order_tables', __FILE__, true );
		}
	}
);

/* Plugin release time */
$plugin_release_timestamp = '2021-11-29 10:35';
/* Plugin version */
$plugin_version = '2.0.8';

$plugin_name        = 'WooCommerce Payment Status';
$product_id         = 'WooCommerce Payment Status';
$plugin_class_name  = '\WPDesk\WooCommercePaymentStatus\Plugin';
$plugin_text_domain = 'wpdesk-wps';

$plugin_file = __FILE__;
$plugin_dir  = __DIR__;

define( $plugin_class_name, $plugin_version );
define( 'WOOCOMMERCE_PAYMENT_STATUS_VERSION', $plugin_version );

$requirements = array(
	'php'     => '7.4',
	'wp'      => '5.0',
	'plugins' => array(
		array(
			'name'      => 'woocommerce/woocommerce.php',
			'nice_name' => 'WooCommerce',
		),
	),
);

require __DIR__ . '/vendor_prefixed/wpdesk/wp-plugin-flow-common/src/plugin-init-php52.php';
