<?php

namespace WPDesk\WooCommercePaymentStatus\Conditional\Clusters;

use WPDesk\WooCommercePaymentStatus\Conditional\Conditions\Condition;

class ConditionsCluster {


	private array $conditions = array();
	private string $cluster_id;
	private string $group_id;

	public function __construct( string $cluster_id, string $group_id ) {

		$this->cluster_id = $cluster_id;
		$this->group_id   = $group_id;
	}

	public function get_conditions(): array {
		return $this->conditions;
	}

	public function add_condition( Condition $condition ): self {
		$this->conditions[] = $condition;

		return $this;
	}

	public function get_cluster_id(): string {
		return $this->cluster_id;
	}

	public function get_group_id(): string {
		return $this->group_id;
	}

	public function is_cluster_satisfied( \WC_Order $order ): bool {

		if ( empty( $this->conditions ) ) {
			return false;
		}

		foreach ( $this->conditions as $condition ) {
			if ( ! $condition->is_satisfied( $order ) ) {
				return false;
			}
		}

		return true;
	}
}
