<?php

namespace WPDesk\WooCommercePaymentStatus\Conditional;

use WPDesk\WooCommercePaymentStatus\Conditional\Conditions\GatewayCondition;
use WPDesk\WooCommercePaymentStatus\Conditional\Conditions\ProductCategoryCondition;
use WPDesk\WooCommercePaymentStatus\Conditional\Conditions\ProductCondition;
use WPDesk\WooCommercePaymentStatus\Conditional\Conditions\ProductTypeCondition;

class Conditions extends \ArrayObject {

	public const GATEWAY_KEY          = 'gateway';
	public const PRODUCT_CATEGORY_KEY = 'product_category';
	public const PRODUCT_TYPE_KEY     = 'product_type';
	public const PRODUCT_KEY     = 'product';

	public function __construct() {
		parent::__construct(
			[
				self::GATEWAY_KEY          => new GatewayCondition( '', '', '' ),
				/* Empty objects meant only for data */
				self::PRODUCT_CATEGORY_KEY => new ProductCategoryCondition( '', '', '' ),
				/* Empty objects meant only for data */
				self::PRODUCT_TYPE_KEY     => new ProductTypeCondition( '', '', '' ),
				/* Empty objects meant only for data */
				self::PRODUCT_KEY          => new ProductCondition( '', '', '' ),
				/* Empty objects meant only for data */
			]
		);
	}
}
