<?php

namespace WPDesk\WooCommercePaymentStatus\Conditional\Groups;

use WPDesk\WooCommercePaymentStatus\Conditional\Clusters\ConditionsCluster;

class Group {


	private string $group_id;
	private string $target_status = '';
	private array $clusters       = array();

	public function __construct( string $id ) {
		$this->group_id = $id;
	}

	public function get_clusters(): array {
		return $this->clusters;
	}

	public function add_cluster( ConditionsCluster $cluster ): self {
		$this->clusters[] = $cluster;

		return $this;
	}

	public function get_group_id(): string {
		return $this->group_id;
	}

	public function get_target_status(): string {
		return $this->target_status;
	}

	public function set_target_status( string $status ): self {
		$this->target_status = $status;

		return $this;
	}

	public function get_available_statuses(): array {
		return wc_get_order_statuses();
	}

	public function is_group_satisfied( \WC_Order $order ): bool {

		$is_satisfied = false;

		foreach ( $this->clusters as $cluster ) {

			if ( $cluster->is_cluster_satisfied( $order ) ) {
				$is_satisfied = true;
				break;
			}
		}

		return $is_satisfied;
	}
}
