<?php

namespace WPDesk\WooCommercePaymentStatus\UI\Elements;

use WPDesk\WooCommercePaymentStatus\Conditional\Clusters\ConditionsCluster;
use WPDesk\WooCommercePaymentStatus\UI\UIElement;

class ClusterUIElement implements UIElement {

	private ConditionsCluster $cluster;

	public function __construct( ConditionsCluster $cluster ) {
		$this->cluster = $cluster;
	}

	public function get_conditions(): array {
		return $this->cluster->get_conditions();
	}

	public function get_template_id(): string {
		return 'logic/single-cluster';
	}

	public function get_params(): array {
		return array(
			'cluster_id' => $this->cluster->get_cluster_id(),
		);
	}
}
