<?php

namespace WPDesk\WooCommercePaymentStatus\UI\Elements;

use WPDesk\WooCommercePaymentStatus\Conditional\Conditions;
use WPDesk\WooCommercePaymentStatus\Conditional\Conditions\Condition;
use WPDesk\WooCommercePaymentStatus\UI\UIElement;

class ConditionUIElement implements UIElement {


	private Condition $condition;
	private Conditions $available_conditions;

	public function __construct( Condition $condition, Conditions $available_conditions ) {
		$this->condition            = $condition;
		$this->available_conditions = $available_conditions;
	}

	public function get_group_id(): string {
		return $this->condition->get_group_id();
	}

	public function get_cluster_id(): string {
		return $this->condition->get_cluster_id();
	}

	public function get_condition_id(): string {
		return $this->condition->get_condition_id();
	}

	public function get_condition(): Condition {
		return $this->condition;
	}

	public function get_value(): array {
		return $this->condition->get_value();
	}

	public function get_template_id(): string {
		return 'logic/single-condition';
	}

	public function get_params(): array {
		return array(
			'conditions'           => $this->available_conditions,
			'group_id'             => $this->condition->get_group_id(),
			'cluster_id'           => $this->condition->get_cluster_id(),
			'condition_id'         => $this->condition->get_condition_id(),
			'condition'            => $this->condition->get_value(),
			'selected_base_option' => $this->condition->get_condition(),
			'statement'            => $this->condition->get_statement(),
			'value'                => $this->condition->get_value(),

		);
	}

	public function get_available_options(): array {
		return $this->condition->get_available_options();
	}

	public function get_statements(): array {
		return $this->condition->get_statements();
	}

	public function get_statement(): string {
		return $this->condition->get_statement();
	}

	public function get_id(): string {
		return $this->condition->get_id();
	}
}
