<?php

namespace WPDesk\WooCommercePaymentStatus\UI\Elements;

use WPDesk\WooCommercePaymentStatus\Conditional\Groups\Group;
use WPDesk\WooCommercePaymentStatus\UI\UIElement;

class GroupUIElement implements UIElement {

	private Group $group;

	public function __construct( Group $group ) {
		$this->group = $group;
	}


	public function get_template_id(): string {
		return 'logic/single-group';
	}

	public function get_params(): array {
		return array(
			'group_id'              => $this->group->get_group_id(),
			'selected_order_status' => $this->group->get_target_status(),
			'order_statuses'        => $this->group->get_available_statuses(),
		);
	}

	public function get_clusters(): array {
		return $this->group->get_clusters();
	}
}
