<?php

namespace WPDesk\WooCommercePaymentStatus\UI\Fields;

use WPDesk\WooCommercePaymentStatus\UI\UIElement;

class SelectField implements UIElement {



	private array $options;

	private string $name = '';

	private array $selected_option;

	private string $class = '';

	private bool $is_multiple = false;

	public function get_template_id(): string {
		return 'logic-fields/select';
	}

	public function get_params(): array {
		return array(
			'name'     => $this->get_name(),
			'class'    => $this->get_class(),
			'options'  => $this->get_available_options(),
			'selected' => $this->get_selected_option(),
			'multiple' => $this->is_multiple(),
		);
	}

	public function set_available_options( array $options ): self {
		$this->options = $options;

		return $this;
	}

	public function get_available_options(): array {
		return $this->options;
	}

	public function set_selected_option( array $selected ): self {
		$this->selected_option = $selected;

		return $this;
	}

	public function get_selected_option(): array {
		return $this->selected_option;
	}

	public function set_name( string $name ): self {
		$this->name = $name;

		return $this;
	}

	public function get_name(): string {
		return $this->name;
	}

	public function set_class( string $class ): self {
		$this->class = $class;

		return $this;
	}

	public function get_class(): string {
		return $this->class;
	}
	public function is_multiple(): bool {
		return $this->is_multiple;
	}
}
