<?php

namespace WPDesk\WooCommercePaymentStatus;

use WPDesk\WooCommercePaymentStatus\Settings\Fields\LogicGroups;
use WPDesk\WooCommercePaymentStatus\Settings\Settings;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * @var LogicGroups                    $field
 * @var \WPDesk\View\Renderer\Renderer $renderer
 * @var string                         $name_prefix
 * @var string                         $value
 * @var string                         $template_name Real field template.
 */

?>

<p><?php esc_html_e( 'Choose when to change order status:', 'wpdesk-wps' ); ?></p>
<select class="wps-logic-when-to-switch" name="wps-conditional-general-condition">
	<option value="<?php echo esc_attr(Settings::GENERAL_CONDITION_NEVER) ?>" <?php selected(Settings::GENERAL_CONDITION_NEVER, $field->get_general_condition() ); ?>><?php esc_html_e( 'Don’t change', 'wpdesk-wps' ); ?></option>
	<option value="<?php echo esc_attr(Settings::GENERAL_CONDITION_ALWAYS) ?>" <?php selected(Settings::GENERAL_CONDITION_ALWAYS, $field->get_general_condition() ); ?>><?php esc_html_e( 'Change for every order', 'wpdesk-wps' ); ?></option>
	<option value="<?php echo esc_attr(Settings::GENERAL_CONDITION_CONDITIONAL) ?>" <?php selected(Settings::GENERAL_CONDITION_CONDITIONAL, $field->get_general_condition() ); ?>><?php esc_html_e( 'Use conditional logic', 'wpdesk-wps' ); ?></option>
</select>

<div class="wps-logic-conditional-wrapper <?php echo $field->get_general_condition() === Settings::GENERAL_CONDITION_CONDITIONAL ? '' : esc_attr('hidden'); ?>">
<h2><?php echo esc_attr( $field->get_label() ); ?></h2>
<p><?php echo $field->get_description(); ?></p>



<div class="wps-logic-groups__wrapper">
	<?php echo $field->get_rendered_logic_groups(); ?>
</div>
<button
	class="wpdesk-wps__add-logic-group wps-button wps-button-secondary"><?php esc_html_e( 'New group', 'wpdesk-wps' ); ?></button>
</div>
