<?php

/**
 * @var array  $conditions
 * @var string $group_id
 * @var string $value
 * @var string $selected_base_option
 * @var string $selected_statement
 * @var string $condition_id
 * @var string $cluster_id
 * @var string $value_select_field
 * @var string $statement_select_field
 */

?>
<div class="wps-logic-group__condition">

	<div class="wps-logic-cluster__condition-settings-wrapper">
		<span class="wps-logic-condition__base-wrapper wps-logic__condition-wrapper">
			<select
				class="wps-logic-condition__base"
				name="wps-conditional[<?php echo esc_attr( $group_id ); ?>][clusters][<?php echo esc_attr( $cluster_id ); ?>][conditions][<?php echo esc_attr( $condition_id ); ?>][condition]"
				data-condition-id="<?php echo esc_attr( $condition_id ); ?>"
				data-cluster-id="<?php echo esc_attr( $cluster_id ); ?>">
				<?php
				foreach ( $conditions as $condition ) :
					?>
					<option
						value="<?php echo esc_attr( $condition->get_id() ); ?>" <?php selected( $condition->get_id(), $selected_base_option ); ?>><?php echo esc_html( $condition->get_name() ); ?></option>
				<?php endforeach; ?>
			</select>
		</span>

		<span class="wps-logic-condition__statement-wrapper wps-logic__condition-wrapper">
			<?php echo $statement_select_field; ?>
		</span>
	</div>

	<div class="wps-logic-cluster__condition-value-wrapper">
		<span class="wps-logic-condition__value-wrapper wps-logic__condition-wrapper">
			<?php echo $value_select_field; ?>
		</span>
		<button class="wpdesk-wps__delete-logic wps-button-icon wps-button-secondary">
			<span class="dashicons dashicons-trash"></span>
		</button>
	</div>


</div>
