<?php

/**
 * @var string $selected_order_status
 * @var array  $order_statuses
 * @var string $group_id
 * @var string $clusters
 */

?>
<div class="wps-logic-group" data-group-id="<?php echo esc_attr( $group_id ); ?>">

	<div class="wps-logic-group__header">
		<div>
			<div class="wps-logic-group__header-order-controlls">
				<span class="dashicons dashicons-arrow-up-alt wpdesk-wps-logic__position-arrow-up"></span>
				<span class="dashicons dashicons-arrow-down-alt wpdesk-wps-logic__position-arrow-down"></span>
			</div>
			<p class="wps-logic-group__header-title"><?php esc_html_e( 'Group', 'wpdesk-wps' ); ?></p>
			<span data-group-id="<?php echo esc_attr( $group_id ); ?>" data-hidden="1"
					class="dashicons dashicons-arrow-down-alt2 wpdesk-wps-logic__accordeon-arrow"></span>
		</div>
		<div>
			<button
				class="wpdesk-wps__delete-group wps-button wpdesk-wps__delete-button wps-button-secondary">
				<?php esc_html_e( 'Delete group', 'wpdesk-wps' ); ?>
			</button>
		</div>
	</div>

	<div class="wps-logic-group__body wps-hidden">
		<div class="wps-logic-group__order-status"><?php esc_html_e( 'Change status to:', 'wpdesk-wps' ); ?>
			<select class="wps-logic-condition__operator"
					name="wps-conditional[<?php echo esc_attr( $group_id ); ?>][order_status]">
				<?php foreach ( $order_statuses as $key => $status_name ) : ?>
					<option
						value="<?php echo esc_attr( $key ); ?>" <?php selected( $key, $selected_order_status ); ?> ><?php echo esc_html( $status_name ); ?></option>
				<?php endforeach; ?>
			</select>

			<p> <?php esc_html_e( 'when:', 'wpdesk-wps' ); ?> <span class="dashicons dashicons-arrow-down-alt wpdesk-wps-logic__position-arrow-down"></span></p>
		</div>


		<div class="wps-logic-group__clusters-wrapper">
			<?php echo $clusters; ?>
		</div>

		<div class="wps-button-wrapper">
			<button class="wpdesk-wps__add-logic__or wps-button wps-button-primary">
				<?php esc_html_e( 'Or', 'wpdesk-wps' ); ?>
			</button>
		</div>
	</div>
</div>
